/*
 * This file is part of FGGL.
 *
 * FGGL is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * FGGL is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with FGGL.
 * If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef FGGL_HPP
#define FGGL_HPP

#include "fggl/app.hpp"

// module system
#include "fggl/modules/manager.hpp"
#include "fggl/data/module.hpp"
#include "fggl/input/module.hpp"
#include "fggl/gui/module.hpp"

#include "fggl/display/glfw/module.hpp"
#include "fggl/gfx/ogl4/module.hpp"

#include "fggl/audio/null_audio.hpp"
#include "fggl/audio/openal/module.hpp"

//! Root namespace
namespace fggl {

}

#endif
